%define name gtk-linux-fb-2.0
%define archname gtk+
%define version 2.4.14
%define release 3mdk
%define major 0
%define libname %mklibname gtk-linux-fb-2.0_ %{major}
%define _unpackaged_files_terminate_build 0

Summary: gtk+ linux-fb libraries
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{archname}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Theme
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description

gtk+ linux-fb libraries

%package -n %{libname}
Summary: gtk+ linux-fb library
Group: System/Libraries

%description -n %{libname}

gtk+ linux-fb library

%package -n %{libname}-devel
Summary:  Development library for gtk+-linux-fb-2.0
Group: 	  Development/C
Requires: %{libname} = %{version}
Provides: gtk-linux-fb-2.0-devel = %{version}-%{release} libgtk-linux-fb-2.0-devel = %{version}-%{release} gdk-linux-fb-2.0-devel = %{version}-%{release} libgdk-linux-fb-2.0-devel = %{version}-%{release}

%description -n %{libname}-devel

Development library for gtk+-linux-fb-2.0

%prep
%setup -q -n %{archname}-%{version}

%build
libtoolize --copy --force
%configure2_5x --with-gdktarget=linux-fb --enable-gtk-doc=no
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

#install -d $RPM_BUILD_ROOT/%{_libdir}/
#cp -a gdk/.libs/lib*gdk-linux-fb-2.0.so* $RPM_BUILD_ROOT/%{_libdir}/
#cp -a gtk/.libs/lib*gtk-linux-fb-2.0.so* $RPM_BUILD_ROOT/%{_libdir}/

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{libname}
%defattr(755,root,root)
%{_libdir}/libgtk-*.so.*
%{_libdir}/libgdk-*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/libgdk-*.so
%{_libdir}/libgtk-*.so

%changelog
* Tue Mar 22 2005 Warly <warly@mandrakesoft.com> 2.4.14-2mdk
- fix rpath problem

* Thu Mar 10 2005 Warly <warly@mandrakesoft.com> 0.2.20-1mdk
- updated for rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 0.2.19-1mdk
- fix bad jpeg format

* Mon Feb 21 2005 Warly <warly@mandrakesoft.com> 0.2.18-1mdk
- theme for 10.2 beta 3
- add new x,y position for animation
- try to stop animation sooner, not to have it remaining in console mode

* Fri Feb  4 2005 Warly <warly@mandrakesoft.com> 0.2.17-1mdk
- theme for 10.2 beta 2

* Fri Jan 21 2005 Warly <warly@mandrakesoft.com> 0.2.16-1mdk
- 10.2 beta

* Fri Dec 24 2004 Warly <warly@mandrakesoft.com> 0.2.15-1mdk
- Cooker Xmas theme

* Mon Aug 23 2004 Warly <warly@mandrakesoft.com> 0.2.10-2mdk
- obsolete also mandrake-theme

* Tue Aug  3 2004 Warly <warly@mandrakesoft.com> 0.2.10-1mdk
- fix theme name in config file

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.9-1mdk
- fix corporate configuration files

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.8-1mdk
- fix post install scripts
- add prereq on bootplash for extra packages (server and desktop)

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.7-1mdk
- include corporate server and desktop theme
- more Mandrake->Mandrakelinux switches

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.5-4mdk
- coporate server 3.0

* Tue Jul 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-3mdk
- Euskara version

* Tue May 11 2004 Warly <warly@mandrakesoft.com> 0.2.5-2mdk
- 10.0 Shuttle version

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-1mdk
- switch lilo selection to white

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.4-1mdk
- fix timer displaying

* Tue Jan 20 2004 Warly <warly@mandrakesoft.com> 0.2.2-1mdk
- Try to have a little better lilo color choice

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.1-1mdk
- forget desktop background

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.0-1mdk
- renamed mandrake-theme
- test theme

* Sat Sep 20 2003 Warly <warly@mandrakesoft.com> 0.1.1-1mdk
- do nothing in %%post in upgrade

* Mon Sep 15 2003 Warly <warly@mandrakesoft.com> 0.1.0-1mdk
- replace black 1024 and 1280 images for powerpack and mandrake theme
- new lilo with progress bar

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.9-1mdk
- I am dead
- fix text in 800x600 mandrake/powerpack theme
- fix post powerpack theme script

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.8-1mdk
- next time I commit suicide

* Mon Sep  8 2003 Warly <warly@mandrakesoft.com> 0.0.7-1mdk
- fix progress bar position in 800x600 for default theme

* Fri Sep  5 2003 Warly <warly@mandrakesoft.com> 0.0.6-1mdk
- fix discovery 1024x768

* Fri Aug 29 2003 Warly <warly@mandrakesoft.com> 0.0.5-1mdk
- new discovery black background
- various post install script fixes
- new discovery lilo boot logo

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.4-1mdk
- s,backgrounds/mdk,mdk/backgrounds,
- fix remove_theme

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.3-1mdk
- fix theme installation during install

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.2-1mdk
- s,backgrounds,backgrounds/mdk,

* Mon Aug 25 2003 Warly <warly@mandrakesoft.com> 0.0.1-1mdk
- new theme package

# end of file
